Index: src/Fl_Help_View.cxx
===================================================================
--- src/Fl_Help_View.cxx	(revision 12541)
+++ src/Fl_Help_View.cxx	(working copy)
@@ -3286,6 +3286,7 @@
 int				// O - 0 on success, -1 on error
 Fl_Help_View::load(const char *f)// I - Filename to load (may also have target)
 {
+  int		ret = 0;	// return value (assume success)
   FILE		*fp;		// File to read from
   long		len;		// Length of file
   char		*target;	// Target in file
@@ -3303,7 +3304,8 @@
       strncmp(f, "mailto:", 7) == 0 ||
       strncmp(f, "news:", 5) == 0) {
     char urimsg[FL_PATH_MAX];
-    if ( fl_open_uri(f, urimsg, sizeof(urimsg)) == 0 ) {
+    if ( fl_open_uri(f, urimsg, sizeof(urimsg)) == 0 ) { // failed?
+      ret = -1;		// flag error
       clear_selection();
 
       strlcpy(newname, f, sizeof(newname));
@@ -3316,7 +3318,7 @@
 	localname = filename_;
 
       if (!localname)
-	return (0);
+	return ret;
 
       free_data();
 
@@ -3337,9 +3339,8 @@
 	       "%s.</P></BODY>",
 	       f, urimsg);
       value(error);
-      //return(-1);
     }
-    return(0);
+    return(ret);
   }
 
   clear_selection();
@@ -3354,7 +3355,7 @@
     localname = filename_;
 
   if (!localname)
-    return (0);
+    return ret;
 
   free_data();
 
@@ -3383,6 +3384,7 @@
   }
   else
   {
+    ret = -1;	// flag error
     snprintf(error, sizeof(error),
 	     "<HTML><HEAD><TITLE>Error</TITLE></HEAD>"
 	     "<BODY><H1>Error</H1>"
@@ -3401,7 +3403,7 @@
   else
     topline(0);
 
-  return (0);
+  return ret;
 }
 
 
